﻿namespace OwinDemo
{
    using System;
    using System.Threading.Tasks;
    using Owin.Types;

    public class HomePageModule
    {
        public static Task ShowMainPage(OwinRequest request, OwinResponse response, Func<Task> next)
        {
            try {
                if (request.Path.Equals("/", StringComparison.OrdinalIgnoreCase))
                    return response.WriteAsync("Home page");
            }
            catch (Exception ex) {
                var tcs = new TaskCompletionSource<object>();
                tcs.SetException(ex);
                return tcs.Task;
            }

            return next();
        }
    }
}